Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class ImgButton

    java.lang.Object
      com.tonbeller.wcf.toolbar.ToolBarComponentSupport
          com.tonbeller.wcf.toolbar.ImgButton

All Implemented Interfaces:
  ToolBarComponent

public class ImgButton
extends ToolBarComponentSupport

Constructor Summary
`ImgButton(ToolBar tbar)`

Method Summary
`java.lang.String` | `getHref()`
`java.lang.String` | `getImg()`
`java.lang.String` | `getTarget()`
`void` | `initialize(RequestContext context, ToolBar owner)` deferred ctor - initializes the button once after instantiation
`boolean` | `isSeparator()` paints some space
`void` | `render(RequestContext context, org.w3c.dom.Element parent)` renders the toolbar button
`void` | `setHref(java.lang.String href)`
`void` | `setImg(java.lang.String img)`
`void` | `setTarget(java.lang.String target)`
`void` | `setTooltip(java.lang.String tooltip)`

Methods inherited from class com.tonbeller.wcf.toolbar.ToolBarComponentSupport
`getId, getRole, getVisibleExpr, isVisible, isVisible, setId, setRole, setVisible, setVisibleExpr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImgButton

    public ImgButton(ToolBar tbar)

Parameters:
  `tbar` -

Method Detail

### render

    public void render(RequestContext context,
                       org.w3c.dom.Element parent)
                throws java.lang.Exception

  Description copied from interface: `ToolBarComponent`
  renders the toolbar button

  Throws:
    `java.lang.Exception`
  See Also:
    `com.tonbeller.wcf.toolbar.ToolBarComponent#render(com.tonbeller.wcf.controller.RequestContext, org.w3c.dom.Document)`

### initialize

    public void initialize(RequestContext context,
                           ToolBar owner)

  Description copied from interface: `ToolBarComponent`
  deferred ctor - initializes the button once after instantiation

### getHref

    public java.lang.String getHref()

### getImg

    public java.lang.String getImg()

### getTarget

    public java.lang.String getTarget()

### setHref

    public void setHref(java.lang.String href)

### setImg

    public void setImg(java.lang.String img)

### setTarget

    public void setTarget(java.lang.String target)

### setTooltip

    public void setTooltip(java.lang.String tooltip)

### isSeparator

    public boolean isSeparator()

  Description copied from interface: `ToolBarComponent`
  paints some space

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD